# 智能协同云图库

用户模块扩展功能：

![image-20250605171423657](https://pic.bitday.top/i/2025/06/05/scmgpj-0.png)



下载MybatisX插件，可以从数据表直接生成Bean、Mapper、Service，选项设置如下：

注意，勾选Actual Column生成的Bean和表中字段一模一样，取消勾选会进行驼峰转换，即user_name->userName

![image-20250605174225328](https://pic.bitday.top/i/2025/06/05/st9hiz-0.png)

![image-20250605174413935](https://pic.bitday.top/i/2025/06/05/sudrtc-0.png)



下载GenerateSerailVersionUID插件，可以右键->generate->生成序列ID：

```java
private static final long serialVersionUID = -1321880859645675653L;
```

![image-20250605181008973](https://pic.bitday.top/i/2025/06/05/txnduw-0.png)



创建图片的业务流程
创建图片主要是包括两个过程：第一个过程是上传图片文件本身，第二个过程是将图片信息上传到数据库。

有两种常见的处理方式：

1.先上传再提交数据（大多数的处理方式）：用户直接上传图片，系统自动生成图片的url存储地址；然后在用户填写其它相关信息并提交后才将图片记录保存到数据库中。
2.上传图片时直接记录图片信息：云图库平台中图片作为核心资源，只要用户将图片上传成功南无就应该把这个图片上传到数据库中（即用户上传图片后系统应该立即生成图片的完整数据记录和其它元信息，这里元信息指的是图片的一些基础信息，这些信息应该是在图片上传成功后就能够解析出来），无需等待用户上传提交图片信息就会立即存入数据库中，这样会使整个交互过程更加轻量。这样的话用户只需要再上传图片的其它信息即可，这样就相当于用户对已有的图片信息进行编辑。
当然我们也可以对用户进行一些限制，比如说当用户上传过多的图片资源时就禁止该用户继续上传图片资源。


