# mermaid画图

```mermaid
graph TD
    A[多智能体随机网络结构分析] --> B[多智能体协同学习与推理]
    
    A --> A1["谱参数实时估算"]
    A1 --> A11["卡尔曼滤波"]
    A1 --> A12["矩阵扰动理论"]
    A1 --> A13["输出：谱参数"]
    A --> A2["网络拓扑重构"]
    A2 --> A21["低秩分解重构"]
    A2 --> A22["聚类量化"]
    A2 --> A23["输出：邻接矩阵、特征矩阵"]
    
    
    

    
```

```mermaid
graph TD
    B[多智能体协同学习与推理]
	B --> B1["联邦学习、强化学习"]
    B1 --> B11["谱驱动学习率调整"]
    B1 --> B12["自适应节点选择策略"]
    B --> B2["动态图神经网络"]
    B2 --> B21["动态图卷积设计"]
    B2 --> B22["一致性推理"]
```

